local createComposition05_bg = nil
local createCompositionOPEN = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/05_office/main/anim/addition/"
---------------------------------------------------------------------------------------
function Loader_05_Addition_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
                CreateCompositionLoader(createComposition05_bg,		                'paper',		    0,0, 2, 512,384, false),
    			CreateCompositionLoader(createCompositionOPEN,		                'lock',		        0,0, 2, 512,384, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createComposition05_bg = function()
	local composition05_bg = CreateCompositionSequence()
	local compositionDuration = 3.08333333333333
	composition05_bg:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."paper.png")
	element:SetName("Layer_1")
	composition05_bg:AddElement(element)
	element:SetHotSpot(19, 19)
	element:SetParentElement(composition05_bg)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.08333333333333)
	effector:SetKey(_TRACK_X, 0, 521)
	effector:SetKey(_TRACK_Y, 0, 317)
	effector:SetKey(_TRACK_X, 0.25, 600.08373277264)
	effector:SetKey(_TRACK_Y, 0.25, 322.999455589649)
	effector:SetKey(_TRACK_X, 0.45833333333333, 639.636385487902)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 326.000001657703)
	effector:SetKey(_TRACK_X, 0.66666666666667, 666)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 328)
	effector:SetKey(_TRACK_X, 0.83333333333333, 658.501316760623)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 336.075505027021)
	effector:SetKey(_TRACK_X, 1.29166666666667, 627.90685072743)
	effector:SetKey(_TRACK_Y, 1.29166666666667, 369.023391524307)
	effector:SetKey(_TRACK_X, 1.5, 619.562667854808)
	effector:SetKey(_TRACK_Y, 1.5, 378.009434617899)
	effector:SetKey(_TRACK_X, 1.66666666666667, 614)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 384)
	effector:SetKey(_TRACK_X, 1.83333333333333, 618.365942749873)
	effector:SetKey(_TRACK_Y, 1.83333333333333, 386.84447785219)
	effector:SetKey(_TRACK_X, 1.91666666666667, 622.723903501569)
	effector:SetKey(_TRACK_Y, 1.91666666666667, 389.683755311628)
	effector:SetKey(_TRACK_X, 3.047119140625, 680)
	effector:SetKey(_TRACK_Y, 3.047119140625, 427)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.75, 1.11417222450767)
	effector:SetKey(_TRACK_SY, 0.75, 0.55889230888597)
	effector:SetKey(_TRACK_SX, 1.91666666666667, 0.69029810043993)
	effector:SetKey(_TRACK_SY, 1.91666666666667, 1.06170676704086)
	effector:SetKey(_TRACK_SX, 2.91666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.91666666666667, 1)
	effector:SetKey(_TRACK_SX, 3.04166666666667, 1)
	effector:SetKey(_TRACK_SY, 3.04166666666667, 1)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.66666666666667, -0.41413855000299)
	effector:SetKey(_TRACK_A, 3.047119140625, 0)
	effector:Play()
 
	composition05_bg:Play()
 
	return composition05_bg
end
 
createCompositionOPEN = function()
	local compositionOPEN = CreateCompositionSequence()
	local compositionDuration = 0.54166666666667
	compositionOPEN:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."m.png")
	element:SetName("Layer_1")
	compositionOPEN:AddElement(element)
	element:SetHotSpot(57, 45)
	element:SetParentElement(compositionOPEN)
	element:SetXY(967, 483)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."layer_sekreter_kryshka2.png")
	element:SetName("Layer_2")
	compositionOPEN:AddElement(element)
	element:SetHotSpot(248, 36)
	element:SetParentElement(compositionOPEN)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.54166666666667)
	effector:SetKey(_TRACK_X, 0, 1014)
	effector:SetKey(_TRACK_Y, 0, 442)
	effector:SetKey(_TRACK_X, 0.5, 1088.5)
	effector:SetKey(_TRACK_Y, 0.5, 446)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.5, 0.96370967741935)
	effector:SetKey(_TRACK_SY, 0.5, 0.11011709784311)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.5, 0.12542029631322)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."layer_inkpot.png")
	element:SetName("Layer_3")
	compositionOPEN:AddElement(element)
	element:SetHotSpot(19, 17)
	element:SetParentElement(compositionOPEN)
	element:SetXY(843, 494)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."layer_feather.png")
	element:SetName("Layer_4")
	compositionOPEN:AddElement(element)
	element:SetHotSpot(41, 17)
	element:SetParentElement(compositionOPEN)
	element:SetXY(834, 492)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."layer_papers.png")
	element:SetName("Layer_5")
	compositionOPEN:AddElement(element)
	element:SetHotSpot(53, 28)
	element:SetParentElement(compositionOPEN)
	element:SetXY(915, 498)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.54166666666667)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."layer_sekreter_kryshka_2.png")
	element:SetName("Layer_7")
	compositionOPEN:AddElement(element)
	element:SetHotSpot(81.5, 11.5)
	element:SetParentElement(compositionOPEN)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.54166666666667)
	effector:SetKey(_TRACK_X, 0.1944580078125, 944)
	effector:SetKey(_TRACK_Y, 0.1944580078125, 431.5)
	effector:SetKey(_TRACK_X, 0.47220865885417, 945.5)
	effector:SetKey(_TRACK_Y, 0.47220865885417, 429.5)
	effector:SetKey(_TRACK_X, 0.5, 945.5)
	effector:SetKey(_TRACK_Y, 0.5, 426.5)
	effector:SetKey(_TRACK_SX, 0.1944580078125, 1)
	effector:SetKey(_TRACK_SY, 0.1944580078125, 0.57718120805369)
	effector:SetKey(_TRACK_SX, 0.5, 1)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:Play()
 
	compositionOPEN:Play()
 
	return compositionOPEN
end
 
